// -------------------------------------------------------------------------
// Copyright @ 1997 TCK Software, Incorporated
// All Rights Reserved
// -------------------------------------------------------------------------

#include "stdafx.h"
#include <io.h>
#include <errno.h>

#include "Person.h"

// IMPLEMENT_DYNAMIC( CPerson, CObject )
// IMPLEMENT_DYNAMIC( CPersonDB, CObject )


// -------------------------------------------------------------------------
// -------------------------------------------------------------------------
// CPerson Class
// -------------------------------------------------------------------------
// -------------------------------------------------------------------------

// -------------------------------------------------------------------------
// CPerson Constructor
// -------------------------------------------------------------------------
CPerson::CPerson()
{
	Clear();
	m_deleted = 'N';
}

// -------------------------------------------------------------------------
// CPerson Destructor
// -------------------------------------------------------------------------
CPerson::~CPerson()
{
}


// -------------------------------------------------------------------------
// CPerson copy constructor
// -------------------------------------------------------------------------
CPerson::CPerson(CPerson& x)
{
	*this = x;
}

// -------------------------------------------------------------------------
// CPerson overloaded assigment
// -------------------------------------------------------------------------
CPerson& CPerson::operator=(CPerson& x)
{
	Clear();

	_tcscpy(m_name,		x.m_name);
	_tcscpy(m_address,	x.m_address);
	_tcscpy(m_city,		x.m_city);
	_tcscpy(m_state,		x.m_state);
	_tcscpy(m_zip,		x.m_zip);
	_tcscpy(m_phone,		x.m_phone);
	m_bFriend = x.m_bFriend;

	m_deleted = x.m_deleted;

	return *this;
}

// -------------------------------------------------------------------------
// Wipe everything out except carrage return, line feed
// -------------------------------------------------------------------------
void CPerson::Clear()
{
	memset(this, 0, sizeof(*this));
	m_carriage_return = '\r';
	m_newline = '\n';
}


