// -------------------------------------------------------------------------
// Copyright @ 1997 TCK Software, Incorporated
// All Rights Reserved
// -------------------------------------------------------------------------

// vfPictView.h : interface of the CVfPictView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VFPICTVIEW_H__9BDFFDD0_A61F_11D1_88FB_00A0C9050951__INCLUDED_)
#define AFX_VFPICTVIEW_H__9BDFFDD0_A61F_11D1_88FB_00A0C9050951__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define IDC_PICTVFORM	110

#include "PictVf.h"

class CVfPictView : public CView
{
protected:
	CPictVf	m_pictVf;					// The picture VForm

protected: // create from serialization only
	CVfPictView();
	DECLARE_DYNCREATE(CVfPictView)

// Attributes
public:
	CVfTestDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVfPictView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVfPictView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVfPictView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnFilePrintScreen();
	afx_msg void OnFilePrintAll();
	afx_msg void OnFilePrintSelected();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in vfPictView.cpp
inline CVfTestDoc* CVfPictView::GetDocument()
   { return (CVfTestDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VFPICTVIEW_H__9BDFFDD0_A61F_11D1_88FB_00A0C9050951__INCLUDED_)
